Page MenuHomePhabricator

[Hover] Fixed the delaying of hover dismiss on continuous mouse clicks
ClosedPublic

Authored by godlytalias on Jan 4 2016, 11:41 PM.

Details

Summary

When continous mouse clicks happen hover emits the hide signals continously
to edje. As the embryo program for hiding requires some time to finish the
animation, if within that time another mouse click comes the program gets
invoked again and thus the hiding will get delayed till the mouse clicks ends.
This patch fix that issue by adding a flag for emitting signals.

@fix T3006

Signed-off-by: godly.talias <godly.talias@samsung.com>

Test Plan

elementary_test

Diff Detail

Repository
rELM core/elementary
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
godlytalias updated this revision to Diff 8051.Jan 4 2016, 11:41 PM
godlytalias retitled this revision from to [Hover] Fixed the delaying of hover dismiss on continuous mouse clicks.
godlytalias updated this object.
godlytalias edited the test plan for this revision. (Show Details)
godlytalias added subscribers: rajeshps, govi.
shilpasingh accepted this revision.Jan 6 2016, 11:35 PM
shilpasingh edited edge metadata.

This patch seems fine for the test case reported, but please also check the issue where in even after closing animation is complete we still see the padding area for sometime and then hoversel is properly closed, the padding area should also animate or close immediately, please take this patch to reproduce this issue. - https://phab.enlightenment.org/D2575

This revision is now accepted and ready to land.Jan 6 2016, 11:35 PM

That is a different issue, In hover only the swallow part is animated and the button_image part which is not animated remains on screen till the hover object is hidden. It will be hidden once the hide,finished signal is received. If required I will raise another patch to handle that issue.

That is a different issue, In hover only the swallow part is animated and the button_image part which is not animated remains on screen till the hover object is hidden. It will be hidden once the hide,finished signal is received. If required I will raise another patch to handle that issue.

yes, thats a different one, hence I approved this, the above is one more new issue which I observed.

godlytalias requested a review of this revision.Jan 8 2016, 2:05 AM
godlytalias edited edge metadata.
Princekrdubey accepted this revision.Jan 10 2016, 10:03 PM
Princekrdubey added a reviewer: Princekrdubey.
Princekrdubey added a subscriber: Princekrdubey.

Good optimization, avoiding unnecessary signal emission leads to fix the delaying side effect.

This revision is now accepted and ready to land.Jan 10 2016, 10:03 PM
raster accepted this revision.Jan 12 2016, 11:03 PM
raster added a reviewer: raster.
This revision was automatically updated to reflect the committed changes.